/*
-----------------------------------------------------------------------------
This source file is part of the GameTools Project
http://www.gametools.org

Author: Martin Szydlowski
-----------------------------------------------------------------------------
*/

#ifndef _OgreKdTreeHierarchyInterface_H_
#define _OgreKdTreeHierarchyInterface_H_

#include "OgreSceneNodeHierarchyInterface.h"

namespace Ogre
{

class KdTreeSceneManager;

class KdTreeHierarchyInterface : public SceneNodeHierarchyInterface
{
public:
	KdTreeHierarchyInterface(KdTreeSceneManager *sm, RenderSystem *rsys);
	virtual ~KdTreeHierarchyInterface() {};

	bool IsLeaf(GtpVisibility::HierarchyNode *node) const;
};

} // namespace Ogre

#endif // _OgreKdTreeHierarchyInterface_H_